Subject: Re: [PATCH 12/22] e1000: Fix powerdown link loss when forced to gig speed

From: Jeff Garzik <[email-masked]>
Date: Mon, 11 Dec 2006 09:46:21 -0500

Kok, Auke wrote:
> disable phy power mode to prevent the NIC from attempting to autoneg
> to i10/100mbit when running in forced gig mode as it would lose link at
> shutdown. This allows you to force gig speed and still use WoL/IPMI
> after shutdow.
> 
> Signed-off-by: Jesse Brandeburg <[email-masked]>
> Signed-off-by: Auke Kok <[email-masked]>

ACK patches 9-12.  in case you're wondering why I didn't gripe about 
feature bits more:  Reset code [e1000_reset] will naturally have quite a 
few "if chip rev == blah" tests, and creating feature bits for each of 
those cases can be tedious.  However, flags should be used (a la tg3) 
rather than all these 'switch(rev)' statements and 'if (rev > x && rev < 
y)' statements.